Back to wiki

RCS History

/ TOP / supported-platforms.mdwn

Differences for revision 1.8 from 1.7


--- supported-platforms.mdwn	2008/08/02 14:38:37	1.7
+++ supported-platforms.mdwn	2008/08/20 00:32:22	1.8
@@ -4,6 +4,8 @@
 
 You must install the w32api and mingw-runtime libraries available from the [pcc ftp server](http://pcc.ludd.ltu.se/ftp/pub/win32/).  These libraries expand into the /usr/local/i386-pe/ directory.  You can copy these files to your windows machine and follow the directions [here](http://pcc.ludd.ltu.se/building/) for compiling on the Microsoft Windows platform.
 
+You must also build and install the pcc-libs module which contains libpcc.a.
+
 __Debian GNU/Linux 4.0r0__
 
 You must build and install the pcc-libs module which contains libpcc.a and stddef.h header files.
@@ -58,7 +60,6 @@
 
 A similar change may be required for other platforms as well.
 
-
 __NetBSD 3.0 (i386/mips/arm/powerpc)__
 
 The following patch is required:
@@ -129,8 +130,6 @@
 
 You must build and install the pcc-libs module which contains libpcc.a
 
-Many OS X header files use the preprocessor directive #pragma pack(), which isn't supported by PCC.  Ignore the warning for the moment and hope that it doesn't matter too much.
-
 Additionally, stdargs.h only works with gcc.  Paste the following lines into /usr/local/lib/pcc/stdarg.h:
 
     #ifndef _STDARG_H_

Powered by rcshistory.cgi 0.3